library(MCMCpack)
library(bnlearn)
library(rrr)
library(nutshell)
library(arules)


data("spambase")
dati_spambase=data.frame(spambase)

features=names(dati_spambase)[1:dim(dati_spambase)[2]]

dati_complete=dati_spambase[,features] 
dati_complete=na.omit(dati_complete)

dati=dati_complete
N=dim(dati)[1]
p=dim(dati)[2]
class="is_spam"
features_evidence=names(dati)[-length(names(dati))]
variables=c(class, features_evidence)

for(feature in 1:(p-1)){
  dati[,feature]=discretize(dati[,feature],method="frequency",categories=5)
  print(levels(dati[,feature]))
}

levels(dati[,class])=c("not_spam", "spam")
